Xfce Forum

Sub domains
 

You are not logged in.

#1 2017-11-23 20:04:10

m3n3chm0
Member
Registered: 2014-08-25
Posts: 6

PolicyKit Authentication Agent - Gnome ? ¬¬

Hello guys,

Today I've realized that I got this line in Session & start up apps.

I do not know why it's installed since I do not have Gnome installed on my laptop.

      /usr/lib/policykit-1-gnome/polkit-gnome-authentication-agent-1

Can I just remove it ?

Regards ¡¡


gnome issue

Offline

#2 2017-11-23 21:05:47

sixsixfive
Member
From: behind you
Registered: 2012-04-08
Posts: 554
Website

Re: PolicyKit Authentication Agent - Gnome ? ¬¬

>I do not know why it's installed since I do not have Gnome installed on my laptop.

because xfce does not have a lightweight polkit client altenative so you either need gnome polkit or another one like mate-polkit to have policykit support

>Can I just remove it ?

sure - however you will loose some comfort because many features depend on it(session manager needs it to reboot your pc , thunar needs to mount your hdds, package mangers needs it to ask for permissions etc.)


$ aptitude why gnome   
Unable to find a reason to install gnome.

regards, ssf

Offline

#3 2017-11-24 09:35:58

m3n3chm0
Member
Registered: 2014-08-25
Posts: 6

Re: PolicyKit Authentication Agent - Gnome ? ¬¬

Ok Sixsixfive,

appreciate your nice explanation. So I'll keep it installed for sure.

thank you so much.

Offline

#4 2017-11-24 17:40:20

Clio
Member
Registered: 2011-01-25
Posts: 62

Re: PolicyKit Authentication Agent - Gnome ? ¬¬

Xfce need only the package policykit-1.  The package policykit-1-gnome  is unnecessary and you can it purged.

Offline

#5 2017-11-25 09:44:28

sixsixfive
Member
From: behind you
Registered: 2012-04-08
Posts: 554
Website

Re: PolicyKit Authentication Agent - Gnome ? ¬¬

Clio wrote:

Xfce need only the package policykit-1.  The package policykit-1-gnome  is unnecessary and you can it purged.

sorry but you are wrong policykit-1-gnome includes the gtk dialogs so if you remove it polkit is unable to ask for your root, ssh etc. password


$ aptitude why gnome   
Unable to find a reason to install gnome.

regards, ssf

Offline

#6 2017-11-25 13:59:46

Clio
Member
Registered: 2011-01-25
Posts: 62

Re: PolicyKit Authentication Agent - Gnome ? ¬¬

sorry too, but my Debian Sid Xfce not need policykit-1-gnome, it works fine with policykit-1.

Offline

#7 2017-11-25 22:11:14

sixsixfive
Member
From: behind you
Registered: 2012-04-08
Posts: 554
Website

Re: PolicyKit Authentication Agent - Gnome ? ¬¬

Clio wrote:

it works fine with policykit-1.

As I said its possible to remove the whole polkit(for example I dont use it - too) but you will lose some features if you don't use a replacement.

Other distributions also have some clever workarounds like gksu wrappers etc.

but since you removed the gtk frontend of polkit you shouldnt be able to run a gtk app with polkit eg:

pkexec --user root /usr/bin/thunar

$ aptitude why gnome   
Unable to find a reason to install gnome.

regards, ssf

Offline

Board footer

Powered by FluxBB